Bug 990761 - [abrt] WARNING: at lib/list_debug.c:29 __list_add+0x65/0xc0() [NEEDINFO]
[abrt] WARNING: at lib/list_debug.c:29 __list_add+0x65/0xc0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael S. Tsirkin
Fedora Extras Quality Assurance
abrt_hash:ce3ea603cd0b09fb523ca626c0a...
:
: 1011744 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 19:45 EDT by Neil
Modified: 2014-03-17 14:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:42:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (42.65 KB, text/plain)
2013-07-31 19:45 EDT, Neil
no flags Details

  None (edit)
Description Neil 2013-07-31 19:45:25 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at lib/list_debug.c:29 __list_add+0x65/0xc0()
list_add corruption. next->prev should be prev (ffff88011585f060), but was           (null). (next=ffff880115651850).
Modules linked in: tcp_lp nls_utf8 isofs fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth rfkill ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_intel snd_hda_codec kvm_intel kvm snd_hwdep snd_seq snd_seq_device microcode joydev snd_pcm virtio_balloon snd_page_alloc virtio_net snd_timer snd soundcore i2c_piix4 uinput qxl drm_kms_helper ttm drm virtio_blk i2c_core
CPU: 0 PID: 2319 Comm: kworker/u4:6 Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
Workqueue: events_unbound async_run_entry_fn
 0000000000000009 ffff88010cf19b98 ffffffff81643216 ffff88010cf19bd0
 ffffffff8105c211 ffff880115f0e850 ffff880115651850 ffff88011585f060
 0000000000000000 ffffffff81a33b2c ffff88010cf19c30 ffffffff8105c27c
Call Trace:
 [<ffffffff81643216>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff812fb4e5>] __list_add+0x65/0xc0
 [<ffffffff8153826c>] netif_napi_add+0x5c/0xa0
 [<ffffffffa00bb8dc>] init_vqs+0xfc/0x480 [virtio_net]
 [<ffffffff8130b00a>] ? pci_bus_write_config_byte+0x5a/0x70
 [<ffffffffa00bbc7d>] virtnet_restore+0x1d/0x100 [virtio_net]
 [<ffffffff81387fc6>] virtio_pci_restore+0x66/0xa0
 [<ffffffff81314a24>] pci_pm_resume+0x64/0xb0
 [<ffffffff813149c0>] ? pci_pm_thaw+0x90/0x90
 [<ffffffff813e3074>] dpm_run_callback+0x44/0x90
 [<ffffffff813e31ce>] device_resume+0xce/0x1f0
 [<ffffffff813e330d>] async_resume+0x1d/0x50
 [<ffffffff81087579>] async_run_entry_fn+0x39/0x120
 [<ffffffff81079b95>] process_one_work+0x175/0x420
 [<ffffffff8107a7ab>] worker_thread+0x11b/0x3a0
 [<ffffffff8107a690>] ? rescuer_thread+0x340/0x340
 [<ffffffff81080b00>] kthread+0xc0/0xd0
 [<ffffffff81080a40>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8165176c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080a40>] ? insert_kthread_work+0x40/0x40
Comment 1 Neil 2013-07-31 19:45:31 EDT
Created attachment 781394 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:52:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-09-25 13:20:32 EDT
*** Bug 1011744 has been marked as a duplicate of this bug. ***
Comment 4 Josh Boyer 2013-09-25 13:21:58 EDT
This is still happening in F20 with the 3.11 kernel as well (see duped bug).
Comment 5 Justin M. Forbes 2014-02-24 08:58:30 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2014-03-17 14:42:26 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.